Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmpp.muc
Class RoomConfiguration

    java.lang.Object
      org.xmpp.packet.Packet
          org.xmpp.packet.IQ
              org.xmpp.muc.RoomConfiguration

    public class RoomConfiguration

extends IQ

RoomConfiguration is a packet that helps to set the configuration of MUC rooms. RoomConfiguration is a speacial IQ packet whose child element contains a data form. The data form holds the fields to set together with a list of values.

Code example:

     // Set the fields and the values.
     Map> fields = new HashMap>();
     // Make a non-public room
     List values = new ArrayList();
     values.add("0");
     fields.put("muc#roomconfig_publicroom", values);

     // Create a RoomConfiguration with the fields and values
     RoomConfiguration conf = new RoomConfiguration(fields);
     conf.setTo("room@conference.jabber.org");
     conf.setFrom("john@jabber.org/notebook");

     component.sendPacket(conf);

Author:
  Gaston Dombiak

Nested Class Summary

Nested classes/interfaces inherited from class org.xmpp.packet.IQ
`IQ.Type`

Field Summary

Fields inherited from class org.xmpp.packet.Packet
`docFactory, element, fromJID, toJID`

Constructor Summary
`RoomConfiguration(Map<String,Collection<String>> fieldValues)` Creates a new IQ packet that contains the field and values to send for setting the room configuration.

Method Summary

Methods inherited from class org.xmpp.packet.IQ
`addExtension, createCopy, createResultIQ, deleteExtension, getChildElement, getExtension, getType, isRequest, isResponse, setChildElement, setChildElement, setType`

Methods inherited from class org.xmpp.packet.Packet
`getElement, getError, getFrom, getID, getTo, setError, setError, setFrom, setFrom, setID, setTo, setTo, toString, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoomConfiguration

    public RoomConfiguration(Map<String,Collection<String>> fieldValues)

  Creates a new IQ packet that contains the field and values to send for setting the room configuration.

  Parameters:
    `fieldValues` - the list of fields associated with the list of values.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.